/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */

package org.sonar.plugins.core.clouds.client.widget;

import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Panel;
import org.sonar.plugins.api.web.gwt.client.SonarWidget;

public class SourceWidget extends SonarWidget {

  public SourceWidget() {
    FlowPanel sourcePanel = new FlowPanel();

    Panel resourceViewer = new FlowPanel();
    resourceViewer.getElement().setId("resourceviewer");
    sourcePanel.add(resourceViewer);

    Panel sourceViewer = new FlowPanel();
    sourceViewer.getElement().setId("sourceviewers");
    sourcePanel.add(sourceViewer);

    setCodeCoverageViewerAsDefaultViewer();

    initWidget(sourcePanel);
  }

  public void refresh(Integer sourceId) {
    String source = Integer.toString(sourceId);
    refresh(source);
  }

  private native void setCodeCoverageViewerAsDefaultViewer()/*-{
    $wnd.config['sourceviewer_plugin_key'] = 'org.sonar.plugins.core.codecoveragesourceviewer.GwtCodeCoverageSourceViewer';
  }-*/;

  private native void refresh(String sourceId) /*-{
    $wnd.showResourceViewer(sourceId);
  }-*/;

}
