/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.clouds.client.widget;

import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.TabPanel;
import com.google.gwt.user.client.ui.Widget;
import org.sonar.plugins.api.web.gwt.client.SonarWidget;
import org.sonar.plugins.core.clouds.client.model.CloudElement;

public class TabWidget extends SonarWidget {

  private TabPanel tab = new TabPanel();
  private SourceWidget sourceTab;
  private Label sourceTabLabel;

  private Integer nbTab;
  private final Integer defaultSelectedTabPosition = 0;

  public TabWidget() {
    nbTab = 0;
    initWidget(tab);
    tab.setWidth("100%");

    sourceTab = new SourceWidget();
    sourceTab.getElement().setId("source_tab_content");
    sourceTabLabel = createTabLabel("", "source");
  }

  public void addTab(Widget widget, String tabName, String id){
    widget.getElement().setId(id + "_tab_content");
    tab.add(widget, createTabLabel(tabName, id));
    if (nbTab.equals(defaultSelectedTabPosition)) {
      tab.selectTab(defaultSelectedTabPosition);
    }
    nbTab++;
  }

  public void refreshSourceTab(CloudElement cloudsElement){
    if (tab.getTabBar().getTabCount() <= nbTab){
      tab.add(sourceTab, sourceTabLabel);
    }
    sourceTabLabel.setText(cloudsElement.getProject().getName());

    tab.selectTab(nbTab);
    sourceTab.refresh(cloudsElement.getProject().getId());
  }

  private Label createTabLabel(String tabName, String id){
    Label tabLabel = new Label(tabName);
    tabLabel.getElement().setId(id + "_tab_title");
    tabLabel.addStyleName("tab_title");
    return tabLabel;
  }

}
