/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.defaultsourceviewer.client;

import org.sonar.plugins.api.web.gwt.client.AbstractSourceViewer;
import org.sonar.plugins.api.web.gwt.client.LineDecorator;

import java.util.HashMap;

public class GwtDefaultSourceViewer extends AbstractSourceViewer {

  public static final String GWT_ID = "org.sonar.plugins.core.defaultsourceviewer.GwtDefaultSourceViewer";

  protected void requestLineDecorators(String sourceKey) {
    setDecorators(new HashMap<Integer, LineDecorator>());
    setDecoratorsRetrieved(true);
    refreshLines();
  }

  protected boolean showValueColumn() {
    return false;
  }

  protected String getGwtId() {
    return GWT_ID;
  }

  protected void exportJavascript() {
    exportNativeJavascript(this);
  }

  public static native void exportNativeJavascript(Object obj) /*-{
    $wnd.load_org_sonar_plugins_core_defaultsourceviewer_GwtDefaultSourceViewer = function() {
      obj.@org.sonar.plugins.core.defaultsourceviewer.client.GwtDefaultSourceViewer::loadSource()();
    }
  }-*/;

}