/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.testspage.client.model;

import java.util.Map;

public class Measure {

  private String mkey;
  private String val;
  private Map<String, Parameter> parameters;

  public Measure() {
  }

  public Measure(String mkey, String val, Map<String, Parameter> parameters) {
    this.mkey = mkey;
    this.val = val;
    this.parameters = parameters;
  }

  public String getMkey() {
    return mkey;
  }

  public void setMkey(String mkey) {
    this.mkey = mkey;
  }

  public String getVal() {
    return val;
  }

  public void setVal(String val) {
    this.val = val;
  }

  public Map<String, Parameter> getParameters() {
    return parameters;
  }

  public void setParameters(Map<String, Parameter> parameters) {
    this.parameters = parameters;
  }

  public String toString() {
    return "Measure{" +
        "mkey='" + mkey + '\'' +
        ", val='" + val + '\'' +
        ", parameters=" + parameters +
        '}';
  }

}
