/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.testspage.client.widget;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.FlexTable;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.ScrollPanel;
import com.google.gwt.user.client.ui.SourcesTableEvents;
import com.google.gwt.user.client.ui.Widget;

public class ClassListWidget extends SonarWidget implements ClickListener {

  private FlowPanel main = new FlowPanel();
  private FlexTable tableClasses = new FlexTable();
  private int selectedRow = -1;

  public ClassListWidget() {
    //
    Label label = new Label("Class");
    label.setStyleName("gwt-breakdown-title");

    // Setup the table.
    tableClasses.setStyleName("items");
    ScrollPanel scrollPanel = new ScrollPanel(tableClasses);
    scrollPanel.setStyleName("scrollable");

    // Build the block
    main.setStyleName("gwt-separator");
    main.add(label);
    main.add(scrollPanel);
    main.setVisible(false);

    //
    initTable(1);

    //
    initWidget(main);
  }

  private void initTable(int coef) {
    // 
    for (int i = 0; i < 100; ++i) {
      // Class name
      tableClasses.setText(i, 0, "Class " + (i * coef));
      tableClasses.getCellFormatter().setWordWrap(i, 0, false);

      //
      tableClasses.setText(i, 1, "12'258");
      tableClasses.getCellFormatter().setWordWrap(i, 1, false);
      tableClasses.getCellFormatter().setStyleName(i, 1, "right");

      // 
      tableClasses.getRowFormatter().setStyleName(i, i % 2 == 0 ? "even" : "odd");
      tableClasses.getRowFormatter().addStyleName(i, "hoverable");

      if (i == 0) {
        tableClasses.getRowFormatter().addStyleName(i, "selected");
        selectedRow = 0;
      }
    }
  }

  public void update(int coef) {
    GWT.log("ClassListWidget update", null);
    main.setVisible(true);
    initTable(coef);
  }

  public void hide() {
    main.setVisible(false);
  }

  public void onCellClicked(SourcesTableEvents sender, int row, int cell) {
    GWT.log("ClassListWidget onCellClicked", null);
  }

  public void onClick(Widget widget) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

}