/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.testspage.client.widget;

import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.Hyperlink;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.DOM;
import org.sonar.plugins.core.testspage.client.model.Measure;

import java.util.Map;

public class CommentsWidget extends SonarWidget {

  private static final String BLOCK_ID = "comments_";

  //comment_lines,comment_ratio

  public CommentsWidget() {
    // Block title
    Label title = new Label("Comments");
    title.setStyleName("h3 title");

    //
    Hyperlink lines_link = new Hyperlink("-", "foo");
    lines_link.getElement().setId(BLOCK_ID + "comment_ratio");
    lines_link.setStyleName("big");
    FlowPanel lines = new FlowPanel();
    lines.setStyleName("line");
    lines.add(lines_link);

    // Comment lines
    HTML packages_label = new HTML("&nbsp;comment lines");
    Hyperlink packages_link = new Hyperlink("-", "");
    packages_link.getElement().setId(BLOCK_ID + "comment_lines");
    FlowPanel packages = new FlowPanel();
    packages.setStyleName("line");
    packages.add(packages_link);
    packages.add(packages_label);

    //
    FlowPanel main = new FlowPanel();
    main.setStyleName("gwt-measures");
    main.add(title);
    main.add(lines);
    main.add(packages);

    //
    initWidget(main);
  }

  public void updateBlock(Map<String, Measure> projectMeasures) {
    if (projectMeasures.containsKey("comment_ratio")) {
      String val = projectMeasures.get("comment_ratio").getVal();
      DOM.getElementById(BLOCK_ID + "comment_ratio").getFirstChildElement().setInnerHTML(val);
    }
    if (projectMeasures.containsKey("comment_lines")) {
      String val = projectMeasures.get("comment_lines").getVal();
      DOM.getElementById(BLOCK_ID + "comment_lines").getFirstChildElement().setInnerHTML(val);
    }
  }

}
