/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.testspage.client.widget;

import com.google.gwt.user.client.ui.*;
import com.google.gwt.user.client.DOM;
import org.sonar.plugins.core.testspage.client.model.Measure;

import java.util.Map;

public class TestSuccessWidget extends SonarWidget {

  private static final String BLOCK_ID = "test_success_";

  public TestSuccessWidget() {
    // Block title
    Label title = new Label("Test success");
    title.setStyleName("h3 title");

    //
    HorizontalPanel lines = new HorizontalPanel();
    lines.setSpacing(2);
    Hyperlink lines_link = new Hyperlink("-", "foo");
    lines_link.getElement().setId(BLOCK_ID + "test_success_percentage");
    lines_link.setStyleName("big inline selected");
    lines.add(lines_link);

    //
    Hyperlink failures_link = new Hyperlink("-", "");
    failures_link.getElement().setId(BLOCK_ID + "test_failures_count");
    HTML failures_label = new HTML("&nbsp;failures");
    FlowPanel failures = new FlowPanel();
    failures.setStyleName("line");
    failures.add(failures_link);
    failures.add(failures_label);

    //
    Hyperlink errors_link = new Hyperlink("-", "");
    errors_link.getElement().setId(BLOCK_ID + "test_errors_count");
    HTML errors_label = new HTML("&nbsp;errors");
    FlowPanel errors = new FlowPanel();
    errors.setStyleName("line");
    errors.add(errors_link);
    errors.add(errors_label);

    // Build the block
    FlowPanel main = new FlowPanel();
    main.setStyleName("gwt-measures");
    main.add(title);
    main.add(lines);
    main.add(failures);
    main.add(errors);

    //
    initWidget(main);
  }

  public void updateBlock(Map<String, Measure> projectMeasures) {
    if (projectMeasures.containsKey("test_success_percentage")) {
      String val = projectMeasures.get("test_success_percentage").getVal();
      DOM.getElementById(BLOCK_ID + "test_success_percentage").getFirstChildElement().setInnerHTML(val);
    }

    if (projectMeasures.containsKey("test_failures_count")) {
      String val = projectMeasures.get("test_failures_count").getVal();
      DOM.getElementById(BLOCK_ID + "test_failures_count").getFirstChildElement().setInnerHTML(val);
    }

    if (projectMeasures.containsKey("test_errors_count")) {
      String val = projectMeasures.get("test_errors_count").getVal();
      DOM.getElementById(BLOCK_ID + "test_errors_count").getFirstChildElement().setInnerHTML(val);
    }
  }
}
