/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.violationssourceviewer.client.model;

public class Violation {
  private String message;
  private String rule;
  private String category;
  private LevelType level;

  public enum LevelType {
   ERROR, WARNING
  }

  public Violation(String message, String rule, String category, String level) {
    this.message = message;
    this.rule = rule;
    this.category = category;
    if (level.equals("error")){
      this.level = LevelType.ERROR;
    } else {
      this.level = LevelType.WARNING;
    }
  }

  public String getMessage() {
    return message;
  }

  public String getRule() {
    return rule;
  }

  public String getCategory() {
    return category;
  }

  public LevelType getLevel() {
    return level;
  }

  public String toString() {
    return "message : [" + message +
      "], rule : [" + rule +
      "], category : [" + category +
      "], level : [" + level + "]";
  }
}
