/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.violationssourceviewer.client.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ViolationsByLine {

  private Map<Integer, List<Violation>> violationsByLine;
  private List<Integer> lines;

  public ViolationsByLine() {
    violationsByLine = new HashMap<Integer, List<Violation>>();
    lines = new ArrayList<Integer>();
  }

  public void add(Integer line, Violation violation) {
    List<Violation> violations;
    if (violationsByLine.get(line) == null) {
      violations = new ArrayList<Violation>();
    } else {
      violations = violationsByLine.get(line);
    }
    violations.add(violation);
    violationsByLine.put(line, violations);
    lines.add(line);
  }

  public List<Violation> getViolations(Integer line) {
    return violationsByLine.get(line);
  }

  public List<Integer> getLines() {
    return lines;
  }
}
