/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.core.violationssourceviewer.client.widget;

import com.google.gwt.user.client.ui.*;
import org.sonar.plugins.core.violationssourceviewer.client.model.Violation;
import org.sonar.plugins.api.web.gwt.client.Utils;

import java.util.List;

public class ViolationsWidget extends Composite {

  public ViolationsWidget(List<Violation> violations) {
    Grid grid = new Grid(violations.size(), 2);

    int row = 0;
    for (Violation violation : violations) {
      Image levelImage = new Image(Utils.getServerUrl() + "/images/controls/" + violation.getLevel().toString().toLowerCase() + ".gif");
      levelImage.setStyleName("icon");
      grid.setWidget(row, 0, levelImage);

      grid.setWidget(row, 1, new HTML("<span class='rule'>" + violation.getRule() + "</span><span class='msg'>" + violation.getMessage() + "</span>"));

      grid.getRowFormatter().setStyleName(row, "violation");
      if (Violation.LevelType.ERROR.equals(violation.getLevel())) {
        grid.getRowFormatter().addStyleName(row, "error");
      } else if (Violation.LevelType.WARNING.equals(violation.getLevel())) {
        grid.getRowFormatter().addStyleName(row, "warning");
      }
      row++;
    }
    grid.setStyleName("violations");
    grid.getColumnFormatter().setWidth(0, "1%");

    initWidget(grid);

  }

}
